# Method: fhirStores.create

**Full name**: projects.locations.datasets.fhirStores.create

Creates a new FHIR store within the parent dataset.

### HTTP request

`POST https://healthcare.googleapis.com/v1/{parent=projects/*/locations/*/datasets/*}/fhirStores`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the dataset this FHIR store belongs to. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `healthcare.fhirStores.create` |

### Query parameters

| Parameters ||
|---|---|
| `fhirStoreId` | `string` Required. The ID of the FHIR store that is being created. The string must match the following regex: `[\p{L}\p{N}_\-\.]{1,256}`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.fhirStores#FhirStore`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.fhirStores#FhirStore`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).